.footer {
  position: relative;
  color: var(--bisstek-text-primary);
  background: var(--bisstek-background-primary);
}

.footer-image {
  position: absolute;
  top: 0;
  z-index: 0;
}

.footer .footer-image img {
  width: 370px;
}

.footer-container {
  z-index: 5;
  padding: 40px 0;
  display: grid;
  position: relative;
  grid-template-columns: 30% auto auto auto;
  justify-content: space-between; /* Keeps the items spread out over the full width */
}

@media (max-width: 1407px) {
  .footer-container {
    grid-template-columns: auto auto;
  }
}

@media (max-width: 999px) {
  .footer .footer-container {
    display: block;
    flex-wrap: wrap;
    justify-content: center;
  }
}

.contact-form textarea {
  min-height: 150px;
}

.footer-container img {
  width: 120px;
}

@media (max-width: 576px) {
  .footer-container img {
    max-width: 80px;
  }
}

.footer-container .footer-title {
  color: var(--white);
  font-size: 24px;
  font-weight: 700;
  position: relative;
  margin-bottom: 45px;
}

.footer-container .footer-title::before {
  background-color: var(--bisstek-color-primary);
  content: '';
  height: 5px;
  width: 80px;
  position: absolute;
  bottom: -8px;
  left: 0;
}

.footer-container .footer-links li:not(:last-of-type) {
  margin-bottom: 28px;
}

.footer-container .footer-links li {
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.footer .company-info {
  font-size: 16px;
  color: var(--bisstek-text-primary);
  margin-bottom: 15px;
  line-height: 28px;
  margin-top: 45px;
  margin-bottom: 28px;
  max-width: 350px;
}

.footer .company-info {
  text-align: justify;
}

.footer .title {
  font-size: 14px;
  font-weight: 700;
  margin-bottom: 0;
  margin-top: 30px;
  text-transform: uppercase;
  color: var(--white);
}

.footer .time {
  margin-top: 10px;
  color: var(--bisstek-text-primary);
}

.footer-container .footer-links li img {
  width: 20px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.footer-container .footer-links li:hover img {
  transform: translateX(5px);
}

.footer-container .footer-links li a {
  color: var(--bisstek-text-primary);
  font-size: 16px;
  font-weight: 400;
  line-height: 1;
  transition: all 0.3s ease-in-out;
}

.footer-container .footer-links li:hover a {
  color: var(--bisstek-color-primary);
}

.footer-container .footer-contact li:not(:last-of-type) {
  margin-bottom: 28px;
}

.footer-container .footer-contact li a {
  font-size: 16px;
  color: var(--bisstek-text-primary);
  transition: all 0.3s ease-in-out;
}

.footer-container .footer-contact li:hover a {
  color: var(--bisstek-color-primary);
  border-bottom: 1px solid var(--bisstek-color-primary);
}

.footer .input:focus {
  outline: none;
  border: none;
}

.footer .footer-button {
  background-color: var(--bisstek-color-primary);
  color: var(--offwhite);
  font-size: 16px;
  font-weight: 600;
  padding: 15px 20px;
  border-radius: 4px;
}

.footer .form {
  background-color: var(--bisstek-border-primary);
  padding: 15px 104px 15px 15px;
  color: var(--offwhite);
  box-shadow: none;
  border: none;
  border-radius: 4px;
  width: 65%;
}

.footer .footer-form {
  display: flex;
  align-items: start;
}

.newsletter .checkbox {
  margin-top: 28px;
  display: inline-flex;
  gap: 8px;
}

.newsletter .checkbox input {
  width: auto;
}

.newsletter .checkbox label {
  max-width: 400px;
}

.contact-map-form {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;
  justify-content: center;
  align-items: center;
}

.contact-map iframe {
  border-radius: 10px;
}

.footer-bottom {
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 30px;
  align-items: center;
  border-top: 1px solid var(--bisstek-color-primary);
  padding: 40px 0;
}

@media (max-width: 1400px) {
  .footer .pages-info {
    width: 50%;
    margin-top: 30px;
  }
  .footer .contact-info {
    width: 50%;
    margin-top: 30px;
  }
  .footer .newsletter {
    width: 50%;
    margin-top: 30px;
  }
  .footer .footer-info {
    width: 50%;
    margin-top: 30px;
  }
  .newsletter .checkbox label {
    max-width: 100%;
  }
}

@media (max-width: 979px) {
  .footer .pages-info {
    width: 100%;
    margin-top: 30px;
  }
  .footer .contact-info {
    width: 100%;
    margin-top: 30px;
  }
  .footer .newsletter {
    width: 100%;
    margin-top: 30px;
  }
  .footer .footer-info {
    width: 100%;
    margin-top: 30px;
  }
  .newsletter .checkbox label {
    max-width: 100%;
  }
  .contact-map-form {
    grid-template-columns: repeat(1, 1fr);
  }
}
